package com.muyu.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：蓬叁
 * @Package：com.muyu.common.domain
 * @Project：cloud-rule
 * @name：DataRecord
 * @Date：2024/9/7 上午10:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DataRecord {

    private String ruleVersionType;

    private String ruleVersionTest;

    private DataValue[] dataValues;

}
