package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.RuleVersion;
import com.muyu.common.domain.req.RuleVersionUpdReq;
import com.muyu.common.domain.resp.RuleVersionResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.mapper
 * @Project：cloud-rule
 * @name：RuleVersionMapper
 * @Date：2024/8/27 上午11:45
 */
@Mapper
public interface RuleVersionMapper extends BaseMapper<RuleVersion> {
    List<RuleVersionResp> selectByIdList(@Param("ruleId") Long ruleId);

    void updateStatus(@Param("ruleVersionId") Long ruleVersionId, @Param("ruleVersionUpdReq") RuleVersionUpdReq ruleVersionUpdReq);
}
